// 5.1_dhtapp.js
// Copyright © 2017 Kirai Oshima . All rights reserved.
// Released under the MIT license
// https://opensource.org/licenses/mit-license.php

var sensorLib = require('node-dht-sensor');
var Client = require("ibmiotf").IotfDevice;

var config = {
    "org" : "<組織 IDの値を記載する>",
    "id" : "<デバイス IDの値を記載する>",
    "type" : "<デバイス・タイプの値を記載する>",
    "auth-method" : "<認証方式の値を記載する>",
    "auth-token" : "<認証トークンの値を記載する>"
};

var client = new Client(config);
client.connect();

client.on("connect", function() {
    var sensor = {
        initialize: function() {
            return sensorLib.initialize(11, 4);
        },
        read: function() {
            var dateObj = new Date();
            var year = dateObj.getFullYear();
            var month = dateObj.getMonth() + 1;
            var date = dateObj.getDate();
            var hour = dateObj.getHours();
            var minute = dateObj.getMinutes();
            var second = dateObj.getSeconds();
            var date = year + "/" + month + "/" + date + "-" + hour + ":" + minute + ":" + second + "";
            var readout = sensorLib.read();
            console.log('nowdate: ' + date +
                ', tem: ' + readout.temperature.toFixed(2) + 'C, ' +
                'hum: ' + readout.humidity.toFixed(2) + '%'
            );
            payload = JSON.stringify({
                d: {
                    tem: readout.temperature.toFixed(2),
                    hum: readout.humidity.toFixed(2),
                    nowdate: date
                }
            });
            client.publish("eid", "json", payload);
            setTimeout(function() {
                sensor.read();
            }, 1500);
        }
    };
    sensor.initialize();
    sensor.read();
});
