// FirstViewController.swift
// Copyright © 2017 Kirai Oshima. All rights reserved.
// Released under the MIT license
// https://github.com/YukinobuKurata/YouTubeMagicBuyButton/blob/master/MIT-LICENSE.txt
//
// FirstViewController.swift
// todoapp
//
// Created by iarik on 2017/03/01.
// Copyright © 2017年 demo. All rights reserved.
//
import UIKit
import CDTDatastore

class FirstViewController: UIViewController, UITableViewDelegate, UITableViewDataSource {
    @IBOutlet weak var myTableView: UITableView!
    public func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        // ローカルのCloudantからデータを取得。結果の要素数をセル(table)の数として設定
        let result = datastore.getAllDocuments()
        return (result.count)
    }
    public func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        // セルの定義を設定し、ローカルのCloudantに格納されたタスク名とエンド時間を表示するセル(table)を作成
        let cell = UITableViewCell(style: UITableViewCellStyle.subtitle, reuseIdentifier: "cell")
        var result = datastore.getAllDocuments()
        cell.textLabel?.text = result[indexPath.row].body["task"] as? String
        cell.detailTextLabel?.text = result[indexPath.row].body["end_time"] as? String
        return(cell)
    }
    func tableView(_ tableView: UITableView, commit editingStyle: UITableViewCellEditingStyle, forRowAt indexPath: IndexPath){
        // Deleteボタンを押下されたときに以下を実施
        if editingStyle == UITableViewCellEditingStyle.delete{
            let result = datastore.getAllDocuments()
            let delete_task = result[indexPath.row].docId!
try! datastore.deleteDocument(withId: delete_task)
// replicaiton to bluemix
datastore.push(to: remote) { error in
    if let error = error {
        print("レプリケーション失敗(delete item): \(error)")
    } else {
        print("レプリケーション成功(delete item)")
    }
}
myTableView.reloadData()
}
}
override func viewDidAppear(_ animated: Bool) {
    myTableView.reloadData()
}
override func viewDidLoad() {
    super.viewDidLoad()
    // Do any additional setup after loading the view, typically from a nib.
}
override func didReceiveMemoryWarning() {
    super.didReceiveMemoryWarning()
    // Dispose of any resources that can be recreated.
}
}
