// SecondViewController.swift
// Copyright © 2017 Kirai Oshima. All rights reserved.
// Released under the MIT license
// https://github.com/YukinobuKurata/YouTubeMagicBuyButton/blob/master/MIT-LICENSE.txt
//
//  SecondViewController.swift
//  todoapp
//
//  Created by iarik on 2017/03/01.
//  Copyright © 2017年 demo. All rights reserved.
//

import UIKit
import CDTDatastore

// Cloudant(CDTDatastore)を利用するために必要な設定
let fileManager = FileManager.default
let documentsDir = fileManager.urls(for: .documentDirectory, in: .userDomainMask).last!
let storeURL = documentsDir.appendingPathComponent("cloudant-sync-datastore")
let path = storeURL.path
let manager = try! CDTDatastoreManager(directory: path)
let datastore = try! manager.datastoreNamed("my_datastore")
let remote = URL(string: "https://<章「Cloudantをオーダーする」で取得したURLを記載します>/todoapp")!

class SecondViewController: UIViewController {
// 時刻入力用の変数を宣言
var input_time:String = ""
// 日付スタイルを設定するためのクラス呼び出し
let formatter = DateFormatter()
@IBOutlet weak var input: UITextField!
@IBAction func addDate(_ sender: UIDatePicker) {
    // 入力時間を以下の日付スタイルで変数(String型)に格納
    formatter.dateFormat = "yyyy/MM/dd HH:mm"
    input_time = formatter.string(from: sender.date)
}
@IBAction func addItem(_ sender: Any) {
    if (input.text != "" && input_time != ""){
        // 現在日時を取得し変数(String型)に格納
        let date = Date()
        formatter.dateFormat = "yyyy/MM/dd HH:mm" //日付スタイルを修正
        let string_time = formatter.string(from:date)
        // ローカルのCloudantにデータを格納するため必要な_idに
        // 上記で取得した現在日時を指定する
        let rev = CDTDocumentRevision(docId: string_time)
        // 格納するタスク情報をJSON形式で生成
        rev.body = [
            "task" : input.text!,
            "end_time" : input_time
        ]
        // ローカルのCloudantにタスク情報を格納
        try! datastore.createDocument(from: rev)
        // ローカルのCloudantに格納されたデータをBluemix上のCloudantにレプリケーション
        datastore.push(to: remote) { error in
            if let error = error {
                print("レプリケーション失敗(add itme): \(error)")
            } else {
                print("レプリケーション成功(add itme)")
            }
        }
        //入力タスクをクリア
        input.text = ""
    }
}
override func viewDidLoad() {
    super.viewDidLoad()
    // Do any additional setup after loading the view, typically from a nib.
}
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
}
